Sale-CardToken
POST
/sale-cardtokenSubmits a transaction request with merchant authentication, preferences, and AVS details.
Header Parameters
token*
stringBody Parameters
merchantAuthentication
merchantId*
stringtransactionReferenceId*
stringpreferences
eReceipt
booleancustomerName
stringcustomerEmail
stringcustomerMobile
stringrequestCardToken
booleantransactionRequest
amount
stringtransactionType
numbercardToken
stringapplySteamSettingTipFeeTax
booleanPOST/sale-cardtoken
1curl --location 'https://payment.ipospays.tech/api/v3/iposTransact' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "",
7 "transactionReferenceId": ""
8 },
9 "preferences": {
10 "eReceipt": false,
11 "customerName": "",
12 "customerEmail": "",
13 "customerMobile": "",
14 "requestCardToken": true
15 },
16 "transactionRequest": {
17 "amount": "",
18 "transactionType": 1,
19 "cardToken": "",
20 "applySteamSettingTipFeeTax": false
21 }
22}'
Response
// Awaiting response…
Sample response
{
"iposhpresponse": {
"responseCode": "200",
"responseMessage": "Success",
"transactionReferenceId": "",
"transactionType": "1",
"transactionId": "",
"chdToken": "",
"amount": "123",
"responseApprovalCode": "",
"rrn": "",
"transactionNumber": "1",
"batchNumber": "4",
"totalAmount": "123",
"cardType": "CREDIT",
"label": "MASTERCARD",
"l2l3Flag": "N",
"maskedPan": "",
"expDate": "1228",
"hostResponseCode": "00",
"hostResponseMessage": "APPROVAL VTLMC1 ",
"hTxId": " "
}
}